import request from '@/utils/request'

// 查询健康史模板列表
export function listHealthHistoryTemp(query) {
  return request({
    url: '/his/healthHistoryTemp/list',
    method: 'get',
    params: query
  })
}

// 查询健康史模板详细
export function getHealthHistoryTemp(id) {
  return request({
    url: '/his/healthHistoryTemp/' + id,
    method: 'get'
  })
}

// 新增健康史模板
export function addHealthHistoryTemp(data) {
  return request({
    url: '/his/healthHistoryTemp',
    method: 'post',
    data: data
  })
}

// 修改健康史模板
export function updateHealthHistoryTemp(data) {
  return request({
    url: '/his/healthHistoryTemp',
    method: 'put',
    data: data
  })
}

// 删除健康史模板
export function delHealthHistoryTemp(id) {
  return request({
    url: '/his/healthHistoryTemp/' + id,
    method: 'delete'
  })
}

// 导出健康史模板
export function exportHealthHistoryTemp(query) {
  return request({
    url: '/his/healthHistoryTemp/export',
    method: 'get',
    params: query
  })
}